# $Revision: 1.19 $, $Date: 2008/07/27 22:46:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Regexp
%define		pnam	Ignore
Summary:	Regexp::Ignore Perl module - ignore unwanted parts of text
Summary(pl.UTF-8):	Moduł Perla Regexp::Ignore - ignorowanie niechcianych części tekstu
Name:		perl-Regexp-Ignore
Version:	0.03
Release:	4
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	542ad987adbd6da9d82494f065b45b9d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Regexp::Ignore - Let us ignore unwanted parts (e.g. tags in markup
languages as HTML), while parsing text.

%description -l pl.UTF-8
Moduł Regexp::Ignore - pozwalający ignorować niechciane fragmenty
(np. znaczniki w językach typu HTML) podczas analizy tekstu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%{__perl} -pi -e 's:/usr/local/bin/perl:/usr/bin/perl:' examples/speller.pl

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Regexp/Ignore*.pm
%{_mandir}/man3/*
%dir %{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Regexp-Ignore.spec,v $
Revision 1.19  2008/07/27 22:46:32  arekm
- release 4

Revision 1.18  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 22:30:41  paladine
- formatting

Revision 1.15  2004/10/24 16:26:27  paladine
- spelling fixes, uppercases, etc.

Revision 1.14  2004/05/07 01:09:24  ankry
- rel. 3

Revision 1.13  2004/05/06 18:20:58  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/29 20:18:23  ankry
- license cosmetics

Revision 1.11  2004/04/27 15:26:25  ankry
- new bconds

Revision 1.10  2004/04/15 08:39:04  ankry
- summary/description cosmetics

Revision 1.9  2003/08/18 08:09:10  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:56  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 20:45:53  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:41:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:56  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/05 13:31:02  ankry
- updated to 0.03 (still alpha code)
- addaed (enabled) tests
- fixed perl path and attributes in an example

Revision 1.1  2002/07/14 02:24:10  qboosh
- new
